org.eclipse.wst.jsdt.chromium.debug.ui

## Class TableUtils.ColumnBasedLabelProvider<ROW>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.TableUtils.ColumnBasedLabelProvider<ROW>

Type Parameters:
  `ROW` - type of row elements

Enclosing class:
  TableUtils

    public static class TableUtils.ColumnBasedLabelProvider<ROW>
    extends java.lang.Object

A generic label provider that runs over type-safe column providers.

### Constructor Summary

Constructors
Constructor and Description
`ColumnBasedLabelProvider(TableUtils.ValueAdapter<java.lang.Object,ROW> rowElementAdpater, java.util.List<? extends TableUtils.ColumnData<ROW,?>> columns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ILabelProviderListener listener)`
`void` `dispose()`
`Image` `getColumnImage(java.lang.Object element, int columnIndex)`
`java.lang.String` `getColumnText(java.lang.Object element, int columnIndex)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(ILabelProviderListener listener)`
`void` `setUpColumns(Table table)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnBasedLabelProvider

    public ColumnBasedLabelProvider(TableUtils.ValueAdapter<java.lang.Object,ROW> rowElementAdpater,
                                    java.util.List<? extends TableUtils.ColumnData<ROW,?>> columns)

### Method Detail

#### getColumnImage

    public Image getColumnImage(java.lang.Object element,
                                int columnIndex)

#### getColumnText

    public java.lang.String getColumnText(java.lang.Object element,
                                          int columnIndex)

#### addListener

    public void addListener(ILabelProviderListener listener)

#### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

#### removeListener

    public void removeListener(ILabelProviderListener listener)

#### setUpColumns

    public void setUpColumns(Table table)

#### dispose

    public void dispose()